/*
 *	SBaGen - Sequenced Binaural Beat Generator
 *
 *	(c) 1999-2005 Jim Peters <jim@uazu.net>.  All Rights Reserved.
 *	For latest version see http://sbagen.sf.net/ or
 *	http://uazu.net/sbagen/.  Released under the GNU GPL version 2.
 *      +---------------------+
 *	|Use at your own risk.|
 *	+---------------------+
 *	Code remastered by unknown corp.,Inc., generally for internal purpose
 *	by Ivan Karamazov under GNU GPL V2 terms.
 *
 *	" This program is free software; you can redistribute it and/or modify
 *	  it under the terms of the GNU General Public License as published by
 *	  the Free Software Foundation, version 2.
 *
 *	  This program is distributed in the hope that it will be useful,
 *	  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	  GNU General Public License for more details. "
 *
 *	See the file COPYING for details of this license.
 *
 *	- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
 *
 *	Some code fragments in the Win32 audio handling are based on
 *	code from PLIB (c) 2001 by Steve Baker, originally released
 *	under the LGPL (slDSP.cxx and sl.h).  For the original source,
 *	see the PLIB project: http://plib.sf.net
 *
 *	The code for the Mac audio output was based on code from the
 *	FINK project's patches to ESounD, by Shawn Hsiao and Masanori
 *	Sekino.  See: http://fink.sf.net
 */

// This is SBaGen Format Messages routines

#include "sbagenr.h"

/* format the time
*/
int sprintTime(char *p, int tim)
{
 return sprintf(p, "%02d:%02d:%02d",
	tim % 86400000 / 3600000,
	tim % 3600000  / 60000,
	tim % 60000    / 1000);
}

/* format the Voice
*/
int sprintVoice(char *p, Voice *vp, Voice *dup)
{
 switch(vp -> typ)
 {
  case 0:
   return sprintf(p, " -");

  case 1:
   if(dup && vp -> carr == dup -> carr &&
	vp -> res == dup -> res &&
	vp -> amp == dup -> amp)
    return sprintf(p, "  ::");
   return sprintf(p, " %.2f%+.2f/%.2f",
	vp -> carr, vp -> res, AMP_AD(vp -> amp));

  case 2:
   if(dup && vp -> amp == dup -> amp)
    return sprintf(p, "  ::");
   return sprintf(p, " pink/%.2f", AMP_AD(vp -> amp));

  case 3:
   if(dup && vp -> carr == dup -> carr && vp -> amp == dup -> amp)
    return sprintf(p, "  ::");
   return sprintf(p, " bell%+.2f/%.2f", vp -> carr, AMP_AD(vp -> amp));

  case 4:
   if(dup && vp -> carr == dup -> carr &&
	vp -> res == dup -> res &&
	vp -> amp == dup -> amp)
    return sprintf(p, "  ::");
   return sprintf(p, " spin:%.2f%+.2f/%.2f",
	vp -> carr, vp -> res, AMP_AD(vp -> amp));

  case 5:
   if(dup && vp -> amp == dup -> amp)
    return sprintf(p, "  ::");
   return sprintf(p, " mix/%.2f", AMP_AD(vp -> amp));

  default:
   if(vp -> typ < -100 || vp -> typ > -1)
    return sprintf(p, " ERROR");
   if(dup && vp -> typ == dup -> typ &&
	vp -> carr == dup -> carr &&
	vp -> res == dup -> res &&
	vp -> amp == dup -> amp)
    return sprintf(p, "  ::");
   return sprintf(p, " wave%02d:%.2f%+.2f/%.2f",
	-1 - vp -> typ, vp -> carr, vp -> res, AMP_AD(vp -> amp));
 }
}

/* The END...
*/

