#!/bin/bash

#       Building on Linux.  Note: only compiles in OGG and MP3 support
#       if the libraries are already setup within libs/, otherwise
#       omits them.  To build the libraries, see the 'mk-libmad-linux'
#       and 'mk-tremor-linux' scripts.

OPT='-m32 -DT_LINUX -Wall -O3 -s'
OPTL="$OPT -lm -lpthread"
LIBS=''

[ -f libs/linux-libmad.a ] && {
    OPT="-DMP3_DECODE $OPT"
    LIBS="$LIBS libs/linux-libmad.a"
}
[ -f libs/linux-libvorbisidec.a ] && {
    OPT="-DOGG_DECODE $OPT"
    LIBS="$LIBS libs/linux-libvorbisidec.a"
}

for xx in audio.c compute.c consio.c delay.c fmtmsg.c \
    ibthr.c info.c misc.c oggmp3.c parsers.c sbagenr.c \
    sbvars.c timecalc.c wawraw.c
do
    echo -- $xx
    gcc $OPT -c $xx || exit 1
done


gcc $OPTL *.o $LIBS -o sbagenr || exit 1

rm *.o

